/*
 * Licensed under BSD license.  See LICENCE.TXT  
 *
 * Produced by:	Jeff Lait
 *
 *      	7DRLl Development
 *
 * NAME:        speed.h ( Live Once Library, C++ )
 *
 * COMMENTS:
 */

#ifndef __speed__
#define __speed__

//
// We use the POWDER style speed sytem here...
//

class SPEED
{
public:
    SPEED();

    PHASE_NAMES phase() const { return myPhase; }
    int		time() const { return myTime; }
    void	incTime();
    void	setTime(int time);

private:
    int		myTime;
    PHASE_NAMES	myPhase;
};

#endif

